Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.stringtemplate
Class StringTemplateGenerator

    java.lang.Object
      org.apache.cocoon.pipeline.component.AbstractPipelineComponent
          org.apache.cocoon.sax.AbstractSAXPipelineComponent
              org.apache.cocoon.sax.AbstractSAXProducer
                  org.apache.cocoon.stringtemplate.StringTemplateGenerator

All Implemented Interfaces:
  CachingPipelineComponent, PipelineComponent, Producer, Starter, SAXPipelineComponent, SAXProducer

Direct Known Subclasses:
  ControllerContextAwareStringTemplateGenerator

    public class StringTemplateGenerator

extends AbstractSAXProducer
implements Starter, CachingPipelineComponent

Field Summary
`protected Map<String,Object>` | `parameters`

Constructor Summary
`StringTemplateGenerator()`
`StringTemplateGenerator(URL source)`

Method Summary
`protected void` | `addTemplateAttributes(org.antlr.stringtemplate.StringTemplate stringTemplate)` Add attributes to the StringTemplate.
`CacheKey` | `constructCacheKey()`
`void` | `execute()`
`void` | `setSource(URL source)`
`void` | `setup(Map<String,Object> parameters)` The shared object map for this pipeline run.

Methods inherited from class org.apache.cocoon.sax.AbstractSAXProducer
`getSAXConsumer, setConsumer, setSAXConsumer, toString`

Methods inherited from class org.apache.cocoon.pipeline.component.AbstractPipelineComponent
`finish, setConfiguration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.cocoon.pipeline.component.PipelineComponent
`finish, setConfiguration`

Field Detail

### parameters

    protected Map<String,Object> parameters

Constructor Detail

### StringTemplateGenerator

    public StringTemplateGenerator()

### StringTemplateGenerator

    public StringTemplateGenerator(URL source)

Method Detail

### constructCacheKey

    public CacheKey constructCacheKey()

  Specified by:
    `constructCacheKey` in interface `CachingPipelineComponent`
  See Also:
    `CachingPipelineComponent.constructCacheKey()`

### execute

    public void execute()

  Specified by:
    `execute` in interface `Starter`
  See Also:
    `Starter.execute()`

### addTemplateAttributes

    protected void addTemplateAttributes(org.antlr.stringtemplate.StringTemplate stringTemplate)

  Add attributes to the StringTemplate. Be careful to keep the constructCacheKey() method align.

  Parameters:
    `stringTemplate` - The template where the attributes are added to.

### setup

    public void setup(Map<String,Object> parameters)

  Description copied from interface: `PipelineComponent`
  The shared object map for this pipeline run.

  Specified by:
    `setup` in interface `PipelineComponent`
  Overrides:
    `setup` in class `AbstractPipelineComponent`
  Parameters:
    `parameters` - A `Map` of parameters that are available to all `PipelineComponent`s. This is a modifiable map that can be changed by this pipeline component.

### setSource

    public void setSource(URL source)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright � 2008-2010 The Apache Software Foundation. All Rights Reserved.